Download it now!
Bug 132322 - See log link is gone in new About Dialog 7.0
Summary: See log link is gone in new About Dialog 7.0
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: high major
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.0.0
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2020-04-22 11:19 UTC by Xisco Faulí
Modified: 2020-05-27 20:22 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
old dialog vs new dialog (254.45 KB, image/png)
2020-04-22 11:19 UTC, Xisco Faulí
Details
mis-aligned strings in the About dialog on LODev 7.0 Windows builds (106.12 KB, image/png)
2020-05-01 03:41 UTC, V Stuart Foote
Details
About dialog on Linux/gtk3 (163.69 KB, image/png)
2020-05-01 07:27 UTC, Heiko Tietze
Details
GTK3: spacing around build text (163.45 KB, image/png)
2020-05-04 09:21 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-04-22 11:19:49 UTC
Created attachment 159811 [details]
old dialog vs new dialog

See comparison image
This link is very important for QA, specially now, that the hash can't be selected anymore
Comment 1 Xisco Faulí 2020-04-28 09:18:01 UTC
Increasing severity/priority
Comment 2 Heiko Tietze 2020-04-28 16:15:17 UTC
Please describe the use case. The hash id is in the version info and access to the log file not a user need (which does not mean there is no solution).
Comment 3 Xisco Faulí 2020-04-28 16:19:54 UTC
(In reply to Heiko Tietze from comment #2)
> Please describe the use case. The hash id is in the version info and access
> to the log file not a user need (which does not mean there is no solution).

Please see bug 103654
Comment 4 Heiko Tietze 2020-04-28 16:24:51 UTC
Suggest a small, unobtrusive button next to the hash to open the link, ideally hidden for releases.
Comment 5 Commit Notification 2020-04-29 17:10:52 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab846145bbd56f4308c8657df8b1354a403edd74

Resolves tdf#132322 - Link to Gerrit hash reintroduced

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 V Stuart Foote 2020-05-01 03:41:37 UTC
Created attachment 160168 [details]
mis-aligned strings in the About dialog on LODev 7.0 Windows builds

With reintroduction of the URL link to Gerrit log for the build, the text strings are not cleanly aligned.  It has been left aligned in the past.
Comment 7 Heiko Tietze 2020-05-01 07:27:44 UTC
Created attachment 160174 [details]
About dialog on Linux/gtk3

Looks good with gtk3; seems Windows ignores the margins.

Anyway, HIG [1] is clear on where labels should be aligned. And that's left. Will change this.

[1] https://wiki.documentfoundation.org/Design/Guidelines/PropertyDialog
Comment 8 Xisco Faulí 2020-05-04 09:17:56 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2020-05-04 09:21:26 UTC
Created attachment 160312 [details]
GTK3: spacing around build text

Forget my previous comment, it's fine with gen.
In my case, with gtk3 I see some spacing around the build text
Comment 10 Heiko Tietze 2020-05-05 05:53:38 UTC
Solved with https://gerrit.libreoffice.org/c/core/+/93444
Comment 11 Mike Kaganski 2020-05-07 09:29:13 UTC
But now the build id is shown like "Build ID: 7f7912e56791e4ef8aee01e62..." with the trailing ellipsis, instead of the full "7f7912e56791e4ef8aee01e62d47a3b60b92c736", and copied to clipboard accordingly. That would be pasted to bug reports, which is not nice. Please don't truncate the sha! It fits there fine, no need for that truncation.
Comment 12 Heiko Tietze 2020-05-07 13:24:44 UTC
(In reply to Mike Kaganski from comment #11)
> But now the build id is shown like "Build ID: 7f7912e56791e4ef8aee01e62..."

Addressed in c206fd36389d0d96132c055dcb2afb2d6e02a9b5 - if you copy you get the full length. Thanks for the reminder, planned to do this before.
Comment 13 Xisco Faulí 2020-05-08 08:48:15 UTC
(In reply to Heiko Tietze from comment #12)
> (In reply to Mike Kaganski from comment #11)
> > But now the build id is shown like "Build ID: 7f7912e56791e4ef8aee01e62..."
> 
> Addressed in c206fd36389d0d96132c055dcb2afb2d6e02a9b5 - if you copy you get
> the full length. Thanks for the reminder, planned to do this before.

Yep, verified in

Version: 7.0.0.0.alpha1+
Build ID: b6ad72a34c150df18905e47e588fd35c400dd6b9
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

as you can see :D